Subject: bug#58790: Eglot URI parsing bug when using clojure-lsp server

From: Arash Esbati <[email-masked]>
Date: Wed, 23 Nov 2022 13:42:56 +0100

João Távora <[email-masked]> writes:

> Yes,I think I follow.  To be clear I think the problem is somewhere in 
>
> (defun eglot--path-to-uri (path)
>   "URIfy PATH."
>   (let ((truepath (file-truename path)))
>     (if (url-type (url-generic-parse-url truepath))
>         ;; Path is already a URI, so forward it to the LSP server
>         ;; untouched.  The server should be able to handle it, since
>         ;; it provided this URI to clients in the first place.
>         truepath
>       ...)
>
> So either url-generic-parse-url and url-type is fixed in url-parse.el, or 
> we must add some Windows-specific guards in eglot.el.  Or likely
> both, since url-parse.el is not a :core ELPA package.
>
> Richard/Danny, can you perhaps come up with some patch?

Have a look at bug#59338: Danny came up with a patch for eglot.el.

  https://lists.gnu.org/archive/html/bug-gnu-emacs/2022-11/msg01510.html

Best, Arash